Page MenuHomeVyOS Platform

Cleanup "service dns forwarding" tree
Closed, WontfixPublicFEATURE REQUEST

Description

The available configuration options are too much for a simple service like dns forwarding.

As VyOS 1.2 already deprecated the command set service dns forwarding listen-on we should remove it rather sooner then later. In addition to this removal we should consider also to remove some more weeds.

Proposal is to remove the following commands as we now have a full blown DNS recursor:

  • set service dns forwarding listen-on <interface>
  • set service dns forwarding dhcp <interface>

We could also consider extending the CLI to specify only allowed networks which can use the DNS recursor. As of now, we allow 0.0.0.0/0 and ::/0

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po claimed this task.Mar 31 2019, 10:40 AM
c-po triaged this task as Normal priority.
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po removed c-po as the assignee of this task.Apr 21 2019, 11:33 AM
c-po closed this task as Wontfix.May 4 2020, 4:16 PM
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
pasik added a subscriber: pasik.May 4 2020, 6:51 PM
c-po moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.Jun 2 2020, 5:48 PM
c-po moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.Jun 2 2020, 7:36 PM